aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/thttpd/files/init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/thttpd/files/init')
-rw-r--r--recipes/thttpd/files/init47
1 files changed, 47 insertions, 0 deletions
diff --git a/recipes/thttpd/files/init b/recipes/thttpd/files/init
new file mode 100644
index 0000000000..df6d64842c
--- /dev/null
+++ b/recipes/thttpd/files/init
@@ -0,0 +1,47 @@
+#! /bin/sh
+#
+# This is an init script for openembedded
+# Copy it to /etc/init.d/thttpd and type
+# > update-rc.d thttpd defaults 60
+#
+
+
+thttpd=/usr/sbin/thttpd
+test -x "$thttpd" || exit 0
+
+
+case "$1" in
+ start)
+ echo -n "Starting thttpd"
+ start-stop-daemon --start --quiet --exec $thttpd -- -d @@SRVDIR
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping thttpd"
+ start-stop-daemon --stop --quiet --exec $thttpd
+ echo "."
+ ;;
+ reload|force-reload)
+ start-stop-daemon --stop --quiet --signal 1 --exec $thttpd
+ ;;
+ restart)
+ echo -n "Stopping thttpd"
+ start-stop-daemon --stop --quiet --exec $thttpd -- -d @@SRVDIR
+ echo "."
+ echo -n "Waiting for thttpd to die off"
+ for i in 1 2 3 ;
+ do
+ sleep 1
+ echo -n "."
+ done
+ echo ""
+ echo -n "Starting thttpd"
+ start-stop-daemon --start --quiet --exec $thttpd -- -d @@SRVDIR
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/thttpd {start|stop|reload|restart|force-reload}"
+ exit 1
+esac
+
+exit 0